/* mega menu button */
.header .mega-menu__button .e-n-menu-title,
.header .mega-menu__button .e-n-menu-title * {
	cursor: pointer !important;
}
.header .mega-menu__button .e-n-menu-dropdown-icon {
    width: 38px;
    height: 38px;
    align-items: center;
}
.header .mega-menu__button .e-n-menu-dropdown-icon:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 2px;
    height: 38px;
    background-color: #f1efeb;
}
.header .mega-menu__button .e-n-menu-dropdown-icon:after {
    content: "";
    position: absolute;
    bottom: 0;
    right: 0;
    display: block;
    width: 36px;
    height: 2px;
    background-color: #000000;
	/* transition: all .3s cubic-bezier(.47,0,.75,.72) !important; */
}
.header .mega-menu__button .e-n-menu-dropdown-icon[aria-expanded="true"]:after {
	background-color: #f1efeb;
}
/* mega menu wrapper */
.mega-menu__wrapper .product-categories {
    padding: 0;
	list-style-type: none !important;
}
.mega-menu__wrapper .product-categories a {
	padding-bottom: 5px;
    font-size: 14px;
	line-height: 1em;
    color: #ffffff;
}
.mega-menu__wrapper .widget_product_tag_cloud h5 {
    display: none;
}
.mega-menu__wrapper .tagcloud {
    display: flex;
    flex-direction: column-reverse;
	align-items: flex-start;
	row-gap: 5px;
}
.mega-menu__wrapper .tagcloud a {
	padding-bottom: 5px;
    font-size: 14px !important;
	line-height: 1em;
    color: #ffffff !important;
}
/* search */
/* body:not(.elementor-editor-active) .header .jet-ajax-search__fields-holder {
    visibility: hidden;
} */
.header .jet-ajax-search__form {
	justify-content: flex-end;
}
body.elementor-editor-active .header .jet-ajax-search__fields-holder {
	/* top: 50px !important; */
	opacity: 1;
}
.header .jet-ajax-search__fields-holder {
	/* top: 50px !important; */
	opacity: 0;
	display: none;
}
.header .jet-ajax-search__fields-holder.active {
	/* top: 50px !important; */
	opacity: 1;
}
.header .search__wrapper .jet-ajax-search__field-wrapper {
    position: absolute;
    left: 0;
    top: 12px;
	width: 100%;
	z-index: 10;
}
@media (max-width: 767px) {
	.header .search__wrapper .jet-ajax-search__field-wrapper {
		position: fixed;
		padding: 15px 16px;
		left: 0;
		top: 82px;
		width: 100vw;
		background-color: #000000;
	}
}
.header .search__wrapper .jet-ajax-search__field-wrapper .jet-ajax-search__field {
    outline: none !important;
}
.header .search__wrapper .jet-ajax-search__field-wrapper .jet-ajax-search__field::-webkit-search-cancel-button {
    display: none !important;
}
@media (max-width: 767px) {
	.header .search__wrapper .jet-ajax-search__field-wrapper .jet-ajax-search__field {
		padding: 0 !important;
        height: 40px !important;
        background-color: #000000 !important;
        color: #ffffff !important;
        border-color: #ffffff !important;
	}
}
.header .search__wrapper .jet-ajax-search__submit {
	z-index: 20;
}
.header .search__wrapper .jet-ajax-search__item-thumbnail-img {
    height: 65px;
    object-fit: contain;
}
.header .search__wrapper .jet-ajax-search__full-results {
    width: 100%;
}
.header .search__wrapper .jet-ajax-search__results-holder {
    padding: 20px;
}
@media screen and (min-width: 768px) and (max-width: 1023px) {
	.header .search__wrapper .jet-ajax-search__results-area {
		width: 350px !important;
	}
}
.header .search__wrapper .jet-ajax-search__results-item {
    width: 100%;
}
.header .search__wrapper .jet-ajax-search__results-item:nth-child(-n+1),
.header .search__wrapper .jet-ajax-search__results-item:nth-child(-n+1) {
    border-top: none !important;
}
.header .search__wrapper .jet-ajax-search__message {
    border: 1px solid #000000;
    background-color: #f1efeb;
}
@media (max-width: 767px) {
	.header .search__wrapper .jet-ajax-search__message {
		position: fixed;
		top: 149px;
		left: 0;
		width: 100vw;
	}
	.header .search__wrapper .jet-ajax-search__results-area {
		position: fixed;
		top: 149px;
		left: 0;
		width: 100vw;
		margin: 0 !important;
	}
}
.header .search__wrapper .jet-ajax-search__item-title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}
/* login */
.header .login__wrapper .elementor-icon-wrapper {
    height: 26px !important;
}
.header .login-btn__wrapper {
	cursor: pointer;
}
.header .login-links__wrapper {
	display: none;
	opacity: 0;
	transition: all .3s cubic-bezier(.47,0,.75,.72) !important;
}
body.elementor-editor-active .header .login-links__wrapper {
	/* top: 50px !important; */
	opacity: 1;
}
.header .login-links__wrapper.active {
	/* top: 50px !important; */
	opacity: 1;
	z-index: 300 !important;
}
.header .login__wrapper .elementor-widget-jet-auth-links .elementor-widget-container {
    width: 230px;
}
.header .login__wrapper .jet-auth-links {
    flex-direction: column;
    justify-content: center;
    align-items: center;
	gap: 8px;
}
.header .login__wrapper .jet-auth-links__section,
.header .login__wrapper .jet-auth-links__item {
    width: 100%;
}
.header .login__wrapper .jet-auth-links__item {
	text-align: center;
	transition: all .3s cubic-bezier(.47,0,.75,.72) !important;
}
/* cart */
.header .cart__wrapper .elementor-menu-cart__wrapper {
    height: 32px;
}
@media (min-width: 768px) {
	.header .cart__wrapper,
	.header .cart__wrapper .elementor-menu-cart__toggle_wrapper {
		height: 26px;
	}
	.header .cart__wrapper .elementor-button-icon {
		align-items: flex-end;
		column-gap: 5px;
	}
}
.header .cart__wrapper .elementor-button-icon svg {
    order: 1;
}
.header .cart__wrapper .elementor-menu-cart__products {
    max-height: calc(100vh - 350px);
}
@media (min-width: 768px) {
	.header .cart__wrapper .elementor-button-icon:before {
		content: "Кошик";
		font-family: "e-Ukraine", sans-serif;
		font-size: 16px;
		text-transform: uppercase;
		font-style: normal;
		font-weight: 500;
		color: #000000;
		order: 2;
	}
}
.header .cart__wrapper .elementor-button-icon-qty {
	position: relative !important;
    width: 20px;
    height: 20px !important;
    order: 3;
    font-family: "e-Ukraine", sans-serif;
    font-size: 10px !important;
    line-height: 20px !important;
    font-style: normal;
    font-weight: 400;
}
@media (min-width: 768px) {
	.header .cart__wrapper .elementor-button-icon-qty {
	    top: -12px !important;
    	left: -3px !important;
	}
}
@media (max-width: 767px) {
	.header .cart__wrapper .elementor-button-icon-qty {
		position: absolute !important;
	}
	.header .cart__wrapper .elementor-button-icon-qty {
		top: 0px !important;
        right: -7px !important;
	}
}
.header .cart__wrapper .elementor-menu-cart__main {
    max-width: 480px;
    width: 100%;
}
.header .cart__wrapper .elementor-menu-cart__main:before {
    content: "Кошик";
    position: absolute;
    top: 40px;
    left: 40px;
    color: #000;
    font-family: "BanderaPro", sans-serif;
    font-size: 34px;
    font-style: normal;
    font-weight: 400;
}
@media (max-width: 767px) {
	.header .cart__wrapper .elementor-menu-cart__main:before {
		left: 20px;
	}
}
.header .cart__wrapper .elementor-menu-cart__close-button-custom {
    margin-bottom: 30px !important;
}
.header .cart__wrapper .elementor-menu-cart__close-button-custom svg {
    transition: all .3s ease;
}
.header .cart__wrapper .elementor-menu-cart__close-button-custom:hover svg {
    transform: rotate(90deg);
}
.header .cart__wrapper .elementor-menu-cart__toggle_button {
    padding: 0;
    background-color: transparent;
    border: none;
}
.header .cart__wrapper .product-thumbnail img {
    max-width: 90px;
    max-height: 110px;
    object-fit: contain;
}
@media (max-width: 767px) {
	.header .cart__wrapper .product-thumbnail img {
		max-height: 90px;
	}	
}
.header .cart__wrapper .elementor-menu-cart__product-name,
.header .cart__wrapper .elementor-menu-cart__product-price {
	padding-inline-start: 0 !important;
}
.header .cart__wrapper .elementor-menu-cart__product-remove {
    border: none;
    border-radius: 0;
    bottom: 25px;
    background: url(/wp-content/uploads/cart-remove-red.svg) !important;
    background-size: contain !important;
    background-repeat: no-repeat !important;
    width: 20px !important;
    height: 20px !important;
	opacity: 0.5;
}
.header .cart__wrapper .elementor-menu-cart__product-remove:hover {
	opacity: 1;
}
.header .cart__wrapper .elementor-menu-cart__product-remove:after,
.header .cart__wrapper .elementor-menu-cart__product-remove:before {
	content: none;
}
.header .cart__wrapper .elementor-menu-cart__subtotal {
    display: flex;
    justify-content: space-between;
}
/* scrollbar bar */
.header .cart__wrapper .elementor-menu-cart__products::-webkit-scrollbar {
    width: 8px;
}
.header .cart__wrapper .elementor-menu-cart__products::-webkit-scrollbar-track {
    background: #f0f0f0;
    border-radius: 4px;
}
.header .cart__wrapper .elementor-menu-cart__products::-webkit-scrollbar-thumb {
    background-color: #333;
    border-radius: 4px;
    border: 2px solid #f0f0f0;
}
/*
.header .cart__wrapper .elementor-menu-cart__products {
    scrollbar-width: thin;
    scrollbar-color: #333 #f0f0f0;
}
*/
/* delivery */
.delivery .elementor-icon-wrapper {
    height: 32px;
}
/* mobile menu */
@media (max-width: 1279px) {
	.header .jet-mobile-menu__toggle {
		width: 40px;
		height: 40px;
	}
	.header .jet-mobile-menu__container {
		height: calc(100vh - 82px) !important;
		top: 82px !important;
	}
	.header .jet-mobile-menu__controls {
		display: none;
	}
	.header .jet-mobile-menu__container .jet-auth-links {
		justify-content: space-between !important;
		column-gap: 16px;
	}
	.header .jet-mobile-menu__container .jet-auth-links__section {
		width: 50%;
	}
	.header .jet-mobile-menu__container .jet-auth-links__item {
		width: 100%;
		text-align: center;
	}
	.header .jet-mobile-menu__items {
		display: flex;
		flex-direction: column;
		row-gap: 42px;
	}
	.header .jet-mobile-menu__container .product-categories {
		padding: 0;
        display: flex;
		flex-direction: column;
        row-gap: 10px;
        list-style-type: none !important;
	}
	.header .jet-mobile-menu__container .product-categories a {
		font-size: 16px;
		color: #ffffff;
	}
	.header .jet-mobile-menu__container .widget_product_tag_cloud h5 {
		display: none;
	}
	.header .jet-mobile-menu__container .tagcloud {
		display: flex;
		flex-direction: column-reverse;
		row-gap: 10px;
	}
	.header .jet-mobile-menu__container .tag-cloud-link {
		font-size: 16px !important;
		color: #ffffff !important;
	}
	.header .jet-mobile-menu-cover {
		display: none;
	}
}